### Function

# Gtk TreeModelFilterModifyFunc

#### Declaration

    void
    TreeModelFilterModifyFunc (
      GtkTreeModel* model,
      GtkTreeIter* iter,
      GValue* value,
      int column,
      gpointer data
    )

#### Description [src]

A function which calculates display values from raw values in the model. It must fill `value` with the display value for the column `column` in the row indicated by `iter`.

Since this function is called for each data access, it’s not a particularly efficient operation.

#### Parameters

`model` | `GtkTreeModel`
| The `GtkTreeModelFilter`.
| The data is owned by the caller of the function.
`iter` | `GtkTreeIter`
| A `GtkTreeIter` pointing to the row whose display values are determined.
| The data is owned by the caller of the function.
`value` | `GValue*`
| A `GValue` which is already initialized for with the correct type for the column `column`.
| The argument will be set by the function.
| The data is owned by the caller of the function.
`column` | `int`
| The column whose display value is determined.
`data` | `gpointer`
| User data given to gtk_tree_model_filter_set_modify_func().